Scilab Function
Last update : 16/6/2004

xarcs - dessine des arcs d'ellipses

### Calling Sequence

  `xarcs(arcs,[style])`

### Parameters

- `arcs` : matrice de taille (6,n) décrivant les ellipses.
- `style` : vecteur ligne de taille n donnant les couleurs à utiliser

### Description

`xarcs` dessine des arcs d'un ensemble d'ellipses décrites par `arcs` : `arcs=[x y w h a1 a2;x y w h a1 a2;...]'` où chaque ellipse est définie par les 6 paramètres `(x,y,w,h,a1,a2)` (voir `xarc`).

`style(i)` donne la couleur utilisée pour dessiner l'ellipse `i`.

### Examples

    plot2d(0,0,-1,"031"," ",[-1,-1,1,1])
    arcs=[-1.0 0.0 0.5; // x du point en haut à gauche
           1.0 0.0 0.5; // y du point en haut à gauche
           0.5 1.0 0.5; // largeur
           0.5 0.5 1.0; // hauteur
           0.0 0.0 0.0; // angle 1
           180*64 360*64 90*64]; // angle 2
    xarcs(arcs,[1,2,3])

### See Also

`xarc`, `xfarc`, `xfarcs`,

### Author

J.Ph.C.;